curl --request POST \
--url 'https://api.stateset.com/api/v1/ap/bills/{id}/cancel' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"amount_due": "string",
"amount_paid": "string",
"bill_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"due_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"subtotal": "98.00",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tax_amount": "4.12",
"total_amount": "102.12"
}
Ap cancel bill
Ap cancel bill
POST
/
api
/
v1
/
ap
/
bills
/
{id}
/
cancel
curl --request POST \
--url 'https://api.stateset.com/api/v1/ap/bills/{id}/cancel' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"amount_due": "string",
"amount_paid": "string",
"bill_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"due_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"subtotal": "98.00",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tax_amount": "4.12",
"total_amount": "102.12"
}
Path parameters
string
required
Bill ID
Response
ApBillResponse
string
required
string
required
string
required
string
required
string
required
string
required
string
required
string
required
string
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
409 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/ap/bills/{id}/cancel' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"amount_due": "string",
"amount_paid": "string",
"bill_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"due_date": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"subtotal": "98.00",
"supplier_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tax_amount": "4.12",
"total_amount": "102.12"
}
Last modified on August 31, 2026